Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356941 - [Docs][RHEVM Shell] Correct syntax of "show" in rhevm-shell guide
Summary: [Docs][RHEVM Shell] Correct syntax of "show" in rhevm-shell guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.10
: ---
Assignee: Tahlia Richardson
QA Contact: Byron Gravenorst
URL:
Whiteboard:
: 1391203 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 10:32 UTC by Alexandros Gkesos
Modified: 2016-12-06 02:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-06 02:48:35 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description Alexandros Gkesos 2016-07-15 10:32:37 UTC
Description of problem:
RHEVM-SHELL Guide:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html-single/RHEVM_Shell_Guide/index.html


In "3.2.2. Show a Resource (show)"
the syntax is correct:

[RHEVM shell (connected)]# show vm fcadfd5f-9a12-4a1e-bb9b-2b9d5c2e04c3
[RHEVM shell (connected)]# show vm RHEL6-Server

but in "1.5. Interacting with the CLI"

the syntax is different and doesn't work:

[RHEVM shell (connected)]# show vm --name desktop_vms

eg. in my test environment:

[RHEVM shell (connected)]# list vms

id         : 09746170-a035-46b4-86dc-e8aeb3c3e1d6
name       : testVM

id         : ddc35fd2-7309-4f7c-8109-eae23727a595
name       : testVM2

[RHEVM shell (connected)]# show vm testVM

id                           : 09746170-a035-46b4-86dc-e8aeb3c3e1d6
name                         : testVM
...
...
...

[RHEVM shell (connected)]# show vm --name testVM

  =========================================================================================================================================================== ERROR =========================================================================================================================================================
                                                                                                                                                vm identifier or name required.
  ===========================================================================================================================================================================================================================================================================================================================


The same happens with other resources:

[RHEVM shell (connected)]# show host rhel7

id                                               : 5a9f2318-4843-46ea-baae-0aaa4eed420d
name                                             : rhel7
...
...

[RHEVM shell (connected)]# show host 
all_content  id           name         
[RHEVM shell (connected)]# show host --name rhel7

  =========================================================================================================================================================== ERROR =========================================================================================================================================================
                                                                                                                                               host identifier or name required.
  ===========================================================================================================================================================================================================================================================================================================================

[RHEVM shell (connected)]# 



Version-Release number of selected component (if applicable):
3.6 RHEVM-SHELL GUIDE

Comment 4 Lucy Bopf 2016-11-18 01:17:14 UTC
Assigning to Tahlia for review.

Comment 7 Tahlia Richardson 2016-11-30 01:18:29 UTC
*** Bug 1391203 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.